use axum::http::HeaderMap;
use axum::http::StatusCode;
use axum::Json;
use serde::Deserialize;
use serde::Serialize;
use serde_json::Value;

pub(crate) async fn hook(
    headers: HeaderMap,
    Json(payload): Json<HookRequest>,
) -> (StatusCode, Json<HookResponse>) {
    (StatusCode::OK, Json(HookResponse { ok: true }))
}

#[allow(dead_code)]
#[derive(Deserialize)]
pub(crate) struct HookRequest {
    #[serde(rename = "ref")]
    ref_field: String,
    before: String,
    compare_url: String,
    commits: Value,
    total_commits: u64,
    head_commit: Value,
    repository: Value,
    pusher: Value,
    sender: Value,
}

#[derive(Serialize)]
pub(crate) struct HookResponse {
    ok: bool,
}
